Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QFont

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable, java.lang.Comparable

    public class QFont

extends QtJambiObject
implements java.lang.Comparable, java.lang.Cloneable

The `QFont` class specifies a font used for drawing text. When you create a `QFont` object you specify various attributes that you want the font to have. Qt will use the font with the specified attributes, or if no matching font exists, Qt will use the closest matching installed font. The attributes of the font that is actually used are retrievable from a `QFontInfo` object. If the window system provides an exact match `exactMatch()` returns true. Use `QFontMetrics` to get measurements, e.g. the pixel length of a string using `QFontMetrics::width()`.

Note that a `QApplication` instance must exist before a `QFont` can be used. You can set the application's default font with `QApplication::setFont()`.

If a chosen font does not include all the characters that need to be displayed, `QFont` will try to find the characters in the nearest equivalent fonts. When a `QPainter` draws a character from a font the `QFont` will report whether or not it has the character; if it does not, `QPainter` will draw an unfilled square.

Create QFonts like this:

            QFont serifFont = new QFont("Times", 10, QFont.Weight.Bold.value());
            QFont sansFont = new QFont("Helv etica [Cronyx]", 12);

The attributes set in the constructor can also be set later, e.g. `setFamily()`, `setPointSize()`, setPointSizeFloat(), `setWeight()` and `setItalic()`. The remaining attributes must be set after contstruction, e.g. `setBold()`, `setUnderline()`, `setOverline()`, `setStrikeOut()` and `setFixedPitch()`. `QFontInfo` objects should be created after the font's attributes have been set. A `QFontInfo` object will not change, even if you change the font's attributes. The corresponding "get" functions, e.g. `family()`, `pointSize()`, etc., return the values that were set, even though the values used may differ. The actual values are available from a `QFontInfo` object.

If the requested font family is unavailable you can influence the `font matching algorithm` by choosing a particular `QFont::StyleHint` and `QFont::StyleStrategy` with `setStyleHint()`. The default family (corresponding to the current style hint) is returned by `defaultFamily()`.

The font-matching algorithm has a `lastResortFamily()` and `lastResortFont()` in cases where a suitable match cannot be found. You can provide substitutions for font family names using `insertSubstitution()` and `insertSubstitutions()`. Substitutions can be removed with `removeSubstitution()`. Use `substitute()` to retrieve a family's first substitute, or the family name itself if it has no substitutes. Use `substitutes()` to retrieve a list of a family's substitutes (which may be empty).

Every `QFont` has a `key()` which you can use, for example, as the key in a cache or dictionary. If you want to store a user's font preferences you could use `QSettings`, writing the font information with `toString()` and reading it back with `fromString()`. The operator<<() and operator>>() functions are also available, but they work on a data stream.

It is possible to set the height of characters shown on the screen to a specified number of pixels with `setPixelSize()`; however using `setPointSize()` has a similar effect and provides device independence.

In X11 you can set a font using its system specific name with `setRawName()`.

Loading fonts can be expensive, especially on X11. `QFont` contains extensive optimizations to make the copying of `QFont` objects fast, and to cache the results of the slow window system functions it depends upon. The font matching algorithm works as follows:

1. The specified font family is searched for.
2. If not found, the `styleHint()` is used to select a replacement family.
3. Each replacement font family is searched for.
4. If none of these are found or there was no `styleHint()`, "helvetica" will be searched for.
5. If "helvetica" isn't found Qt will try the `lastResortFamily()`.
6. If the `lastResortFamily()` isn't found Qt will try the `lastResortFont()` which will always return a name of some kind.

Note that the actual font matching algorithm varies from platform to platform.

In Windows a request for the "Courier" font is automatically changed to "Courier New", an improved version of Courier that allows for smooth scaling. The older "Courier" bitmap font can be selected by setting the `PreferBitmap` style strategy (see `setStyleStrategy()`).

Once a font is found, the remaining attributes are matched in order of priority:

1. `fixedPitch()`
2. `pointSize()` (see below)
3. `weight()`
4. `style()`

If you have a font which matches on family, even if none of the other attributes match, this font will be chosen in preference to a font which doesn't match on family but which does match on the other attributes. This is because font family is the dominant search criteria.

The point size is defined to match if it is within 20% of the requested point size. When several fonts match and are only distinguished by point size, the font with the closest point size to the one requested will be chosen.

The actual family, font size, weight and other font attributes used for drawing text will depend on what's available for the chosen family under the window system. A `QFontInfo` object can be used to determine the actual values used for drawing the text.

Examples:

            QFont font = new QFont("Helvetica");

If you had both an Adobe and a Cronyx Helvetica, you might get either.

            QFont font = new QFont("Helvetica [Cronyx]");

You can specify the foundry you want in the family name. The font f in the above example will be set to "Helvetica [Cronyx]".

To determine the attributes of the font actually used in the window system, use a `QFontInfo` object, e.g.

            QFontInfo info = new QFontInfo(font);
            String family = info.family();

To find out font metrics use a `QFontMetrics` object, e.g.

            QFontMetrics fm = new QFontMetrics(font);
            int textWidthInPixels = fm.width("How many pixels wide is this text?");
            int textHeightInPixels = fm.height();

For more general information on fonts, see the comp.fonts FAQ. Information on encodings can be found from Roman Czyborra's page.

See also:
  `QFontComboBox`, `QFontMetrics`, `QFontInfo`, `QFontDatabase`, and Character Map Example.

Nested Class Summary
`static class` | `QFont.Capitalization` Rendering option for text this font applies to.
`static class` | `QFont.SpacingType`
`static class` | `QFont.Stretch` Predefined stretch values that follow the CSS naming convention.
`static class` | `QFont.Style`
`static class` | `QFont.StyleHint` This enum describes the available style hints.
`static class` | `QFont.StyleStrategy` The style strategy tells the `font matching` algorithm what type of fonts should be used to find an appropriate default family.
`static class` | `QFont.Weight` Qt uses a weighting scale from 0 to 99 similar to, but not the same as, the scales used in Windows or CSS.

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QFont()` Constructs a font object that uses the application's default font.
`QFont(QFont arg__1)` Constructs a font that is a copy of `font`.
`QFont(QFont arg__1, QPaintDeviceInterface pd)` Constructs a font from `font` for use on the paint device `pd`.
`QFont(java.lang.String family)` Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.
`QFont(java.lang.String family, int pointSize)` Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.
`QFont(java.lang.String family, int pointSize, int weight)` Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.
`QFont(java.lang.String family, int pointSize, int weight, boolean italic)` Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.

Method Summary
`boolean` | `bold()` Returns true if `weight()` is a value greater than `QFont::Normal` ; otherwise returns false.
`QFont.Capitalization` | `capitalization()` Returns the current capitalization type of the font.
`QFont` | `clone()` This method is reimplemented for internal reasons
`java.lang.String` | `defaultFamily()` Returns the family name that corresponds to the current style hint.
`boolean` | `exactMatch()` Returns true if a window system font exactly matching the settings of this font is available.
`java.lang.String` | `family()` Returns the requested font family name, i.
`boolean` | `fixedPitch()` Returns true if fixed pitch has been set; otherwise returns false.
`boolean` | `fromString(java.lang.String arg__1)` Sets this font to match the description `descrip`.
`long` | `handle()` Returns the window system handle to the font, for low-level access.
`static void` | `insertSubstitution(java.lang.String arg__1, java.lang.String arg__2)` Inserts `substituteName` into the substitution table for the family `familyName`.
`static void` | `insertSubstitutions(java.lang.String arg__1, java.util.List arg__2)` Inserts the list of families `substituteNames` into the substitution list for `familyName`.
`boolean` | `isCopyOf(QFont arg__1)` Returns true if this font and `f` are copies of each other, i.e.
`boolean` | `italic()` Returns true if the `style()` of the font is not `QFont::StyleNormal`
`boolean` | `kerning()` Returns true if kerning should be used when drawing text with this font.
`java.lang.String` | `key()` Returns the font's key, a textual representation of a font.
`java.lang.String` | `lastResortFamily()` Returns the "last resort" font family name.
`java.lang.String` | `lastResortFont()` Returns a "last resort" font name for the font matching algorithm.
`double` | `letterSpacing()` Returns the letter spacing for the font.
`QFont.SpacingType` | `letterSpacingType()` Returns the spacing type used for letter spacing.
`boolean` | `overline()` Returns true if overline has been set; otherwise returns false.
`int` | `pixelSize()` Returns the pixel size of the font if it was set with `setPixelSize()`.
`int` | `pointSize()` Returns the point size of the font.
`double` | `pointSizeF()` Returns the point size of the font.
`boolean` | `rawMode()` Returns true if raw mode is used for font name matching; otherwise returns false.
`java.lang.String` | `rawName()` Returns the name of the font within the underlying window system.
`void` | `readFrom(QDataStream arg__1)` Reads a QFont
`static void` | `removeSubstitution(java.lang.String arg__1)` Removes all the substitutions for `familyName`.
`QFont` | `resolve(QFont arg__1)` Returns a new `QFont` that has attributes copied from `other` that have not been previously set on this font.
`void` | `setBold(boolean arg__1)` If `enable` is true sets the font's weight to `QFont::Bold` ; otherwise sets the weight to `QFont::Normal` .
`void` | `setCapitalization(QFont.Capitalization arg__1)` Sets the capitalization of the text in this font to `caps`.
`void` | `setFamily(java.lang.String arg__1)` Sets the family name of the font.
`void` | `setFixedPitch(boolean arg__1)` If `enable` is true, sets fixed pitch on; otherwise sets fixed pitch off.
`void` | `setItalic(boolean b)` Sets the `style()` of the font to `QFont::StyleItalic` if `enable` is true; otherwise the style is set to `QFont::StyleNormal` .
`void` | `setKerning(boolean arg__1)` Enables kerning for this font if `enable` is true; otherwise disables it.
`void` | `setLetterSpacing(QFont.SpacingType type, double spacing)` Sets the letter spacing for the font to `spacing` and the type of spacing to `type`.
`void` | `setOverline(boolean arg__1)` If `enable` is true, sets overline on; otherwise sets overline off.
`void` | `setPixelSize(int arg__1)` Sets the font size to `pixelSize` pixels.
`void` | `setPointSize(int arg__1)` Sets the point size to `pointSize`.
`void` | `setPointSizeF(double arg__1)` Sets the point size to `pointSize`.
`void` | `setRawMode(boolean arg__1)` If `enable` is true, turns raw mode on; otherwise turns raw mode off.
`void` | `setRawName(java.lang.String arg__1)` Sets a font by its system specific name.
`void` | `setStretch(int arg__1)` Sets the stretch factor for the font.
`void` | `setStrikeOut(boolean arg__1)` If `enable` is true, sets strikeout on; otherwise sets strikeout off.
`void` | `setStyle(QFont.Style style)` Sets the style of the font to `style`.
`void` | `setStyleHint(QFont.StyleHint arg__1)` Sets the style hint and strategy to `hint` and `strategy`, respectively.
`void` | `setStyleHint(QFont.StyleHint arg__1, QFont.StyleStrategy arg__2)` Sets the style hint and strategy to `hint` and `strategy`, respectively.
`void` | `setStyleStrategy(QFont.StyleStrategy s)` Sets the style strategy for the font to `s`.
`void` | `setUnderline(boolean arg__1)` If `enable` is true, sets underline on; otherwise sets underline off.
`void` | `setWeight(int arg__1)` Sets the weight the font to `weight`, which should be a value from the `QFont::Weight` enumeration.
`void` | `setWordSpacing(double spacing)` Sets the word spacing for the font to `spacing`.
`int` | `stretch()` Returns the stretch factor for the font.
`boolean` | `strikeOut()` Returns true if strikeout has been set; otherwise returns false.
`QFont.Style` | `style()` Returns the style of the font.
`QFont.StyleHint` | `styleHint()` Returns the `StyleHint` .
`QFont.StyleStrategy` | `styleStrategy()` Returns the `StyleStrategy` .
`static java.lang.String` | `substitute(java.lang.String arg__1)` Returns the first family name to be used whenever `familyName` is specified.
`static java.util.List` | `substitutes(java.lang.String arg__1)` Returns a list of family names to be used whenever `familyName` is specified.
`static java.util.List` | `substitutions()` Returns a sorted list of substituted family names.
`java.lang.String` | `toString()` Returns a string representation of the `this QFont`.
`boolean` | `underline()` Returns true if underline has been set; otherwise returns false.
`int` | `weight()` Returns the weight of the font which is one of the enumerated values from `QFont::Weight` .
`double` | `wordSpacing()` Returns the word spacing for the font.
`void` | `writeTo(QDataStream arg__1)` Writes thisQFont

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QFont

    public QFont()

  Constructs a font object that uses the application's default font.

See also:
  `QApplication::setFont()`, and `QApplication::font()`.

### QFont

    public QFont(QFont arg__1)

  Constructs a font that is a copy of `font`.

### QFont

    public QFont(QFont arg__1,
                 QPaintDeviceInterface pd)

  Constructs a font from `font` for use on the paint device `pd`.

### QFont

    public QFont(java.lang.String family,
                 int pointSize,
                 int weight)

  Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.

  If `pointSize` is <= 0, it is set to 12.

  The `family` name may optionally also include a foundry name, e.g. "Helvetica [Cronyx]". If the `family` is available from more than one foundry and the foundry isn't specified, an arbitrary foundry is chosen. If the family isn't available a family will be set using the `font matching` algorithm.

See also:
  `Weight` , `setFamily()`, `setPointSize()`, `setWeight()`, `setItalic()`, `setStyleHint()`, and `QApplication::font()`.

### QFont

    public QFont(java.lang.String family,
                 int pointSize)

  Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.

  If `pointSize` is <= 0, it is set to 12.

  The `family` name may optionally also include a foundry name, e.g. "Helvetica [Cronyx]". If the `family` is available from more than one foundry and the foundry isn't specified, an arbitrary foundry is chosen. If the family isn't available a family will be set using the `font matching` algorithm.

See also:
  `Weight` , `setFamily()`, `setPointSize()`, `setWeight()`, `setItalic()`, `setStyleHint()`, and `QApplication::font()`.

### QFont

    public QFont(java.lang.String family)

  Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.

  If `pointSize` is <= 0, it is set to 12.

  The `family` name may optionally also include a foundry name, e.g. "Helvetica [Cronyx]". If the `family` is available from more than one foundry and the foundry isn't specified, an arbitrary foundry is chosen. If the family isn't available a family will be set using the `font matching` algorithm.

See also:
  `Weight` , `setFamily()`, `setPointSize()`, `setWeight()`, `setItalic()`, `setStyleHint()`, and `QApplication::font()`.

### QFont

    public QFont(java.lang.String family,
                 int pointSize,
                 int weight,
                 boolean italic)

  Constructs a font object with the specified `family`, `pointSize`, `weight` and `italic` settings.

  If `pointSize` is <= 0, it is set to 12.

  The `family` name may optionally also include a foundry name, e.g. "Helvetica [Cronyx]". If the `family` is available from more than one foundry and the foundry isn't specified, an arbitrary foundry is chosen. If the family isn't available a family will be set using the `font matching` algorithm.

See also:
  `Weight` , `setFamily()`, `setPointSize()`, `setWeight()`, `setItalic()`, `setStyleHint()`, and `QApplication::font()`.

Method Detail

### bold

    public final boolean bold()

  Returns true if `weight()` is a value greater than `QFont::Normal` ; otherwise returns false.

See also:
  `weight()`, `setBold()`, and `QFontInfo::bold()`.

### capitalization

    public final QFont.Capitalization capitalization()

  Returns the current capitalization type of the font.

See also:
  `setCapitalization()`.

### defaultFamily

    public final java.lang.String defaultFamily()

  Returns the family name that corresponds to the current style hint.

See also:
  `StyleHint` , `styleHint()`, and `setStyleHint()`.

### exactMatch

    public final boolean exactMatch()

  Returns true if a window system font exactly matching the settings of this font is available.

See also:
  `QFontInfo`.

### family

    public final java.lang.String family()

  Returns the requested font family name, i. . the name set in the constructor or the last setFont() call.

See also:
  `setFamily()`, `substitutes()`, and `substitute()`.

### fixedPitch

    public final boolean fixedPitch()

  Returns true if fixed pitch has been set; otherwise returns false.

See also:
  `setFixedPitch()`, and `QFontInfo::fixedPitch()`.

### fromString

    public final boolean fromString(java.lang.String arg__1)

  Sets this font to match the description `descrip`. The description is a comma-separated list of the font attributes, as returned by `toString()`.

See also:
  `toString()`.

### handle

    public final long handle()

  Returns the window system handle to the font, for low-level access. Using this function is not portable.

### isCopyOf

    public final boolean isCopyOf(QFont arg__1)

  Returns true if this font and `f` are copies of each other, i.e. one of them was created as a copy of the other and neither has been modified since. This is much stricter than equality.

See also:
  operator=(), and operator==().

### italic

    public final boolean italic()

  Returns true if the `style()` of the font is not `QFont::StyleNormal`

See also:
  `setItalic()`, and `style()`.

### kerning

    public final boolean kerning()

  Returns true if kerning should be used when drawing text with this font.

See also:
  `setKerning()`.

### key

    public final java.lang.String key()

  Returns the font's key, a textual representation of a font. It is typically used as the key for a cache or dictionary of fonts.

See also:
  QMap.

### lastResortFamily

    public final java.lang.String lastResortFamily()

  Returns the "last resort" font family name.

  The current implementation tries a wide variety of common fonts, returning the first one it finds. Is is possible that no family is found in which case an empty string is returned.

See also:
  `lastResortFont()`.

### lastResortFont

    public final java.lang.String lastResortFont()

  Returns a "last resort" font name for the font matching algorithm. This is used if the last resort family is not available. It will always return a name, if necessary returning something like "fixed" or "system".

  The current implementation tries a wide variety of common fonts, returning the first one it finds. The implementation may change at any time, but this function will always return a string containing something.

  It is theoretically possible that there really isn't a `lastResortFont()` in which case Qt will abort with an error message. We have not been able to identify a case where this happens. Please report it as a bug if it does, preferably with a list of the fonts you have installed.

See also:
  `lastResortFamily()`, and `rawName()`.

### letterSpacing

    public final double letterSpacing()

  Returns the letter spacing for the font.

See also:
  `setLetterSpacing()`, `letterSpacingType()`, and `setWordSpacing()`.

### letterSpacingType

    public final QFont.SpacingType letterSpacingType()

  Returns the spacing type used for letter spacing.

See also:
  `letterSpacing()`, `setLetterSpacing()`, and `setWordSpacing()`.

### writeTo

    public final void writeTo(QDataStream arg__1)

  Writes thisQFont

### readFrom

    public final void readFrom(QDataStream arg__1)

  Reads a QFont

### overline

    public final boolean overline()

  Returns true if overline has been set; otherwise returns false.

See also:
  `setOverline()`.

### pixelSize

    public final int pixelSize()

  Returns the pixel size of the font if it was set with `setPixelSize()`. Returns -1 if the size was set with `setPointSize()` or `setPointSizeF()`.

See also:
  `setPixelSize()`, `pointSize()`, `QFontInfo::pointSize()`, and `QFontInfo::pixelSize()`.

### pointSize

    public final int pointSize()

  Returns the point size of the font. Returns -1 if the font size was specified in pixels.

See also:
  `setPointSize()`, and `pointSizeF()`.

### pointSizeF

    public final double pointSizeF()

  Returns the point size of the font. Returns -1 if the font size was specified in pixels.

See also:
  `pointSize()`, `setPointSizeF()`, `pixelSize()`, `QFontInfo::pointSize()`, and `QFontInfo::pixelSize()`.

### rawMode

    public final boolean rawMode()

  Returns true if raw mode is used for font name matching; otherwise returns false.

See also:
  `setRawMode()`, and `rawName()`.

### rawName

    public final java.lang.String rawName()

  Returns the name of the font within the underlying window system.

  Only on X11 when Qt was built without FontConfig support the XLFD (X Logical Font Description) is returned; otherwise an empty string.

  Using the return value of this function is usually notportable.

See also:
  `setRawName()`.

### resolve

    public final QFont resolve(QFont arg__1)

  Returns a new `QFont` that has attributes copied from `other` that have not been previously set on this font.

### setBold

    public final void setBold(boolean arg__1)

  If `enable` is true sets the font's weight to `QFont::Bold` ; otherwise sets the weight to `QFont::Normal` .

  For finer boldness control use `setWeight()`.

See also:
  `bold()`, and `setWeight()`.

### setCapitalization

    public final void setCapitalization(QFont.Capitalization arg__1)

  Sets the capitalization of the text in this font to `caps`.

  A font's capitalization makes the text appear in the selected capitalization mode.

See also:
  `capitalization()`.

### setFamily

    public final void setFamily(java.lang.String arg__1)

  Sets the family name of the font. The name is case insensitive and may include a foundry name.

  The `family` name may optionally also include a foundry name, e.g. "Helvetica [Cronyx]". If the `family` is available from more than one foundry and the foundry isn't specified, an arbitrary foundry is chosen. If the family isn't available a family will be set using the `font matching` algorithm.

See also:
  `family()`, `setStyleHint()`, and `QFontInfo`.

### setFixedPitch

    public final void setFixedPitch(boolean arg__1)

  If `enable` is true, sets fixed pitch on; otherwise sets fixed pitch off.

See also:
  `fixedPitch()`, and `QFontInfo`.

### setItalic

    public final void setItalic(boolean b)

  Sets the `style()` of the font to `QFont::StyleItalic` if `enable` is true; otherwise the style is set to `QFont::StyleNormal` .

See also:
  `italic()`, and `QFontInfo`.

### setKerning

    public final void setKerning(boolean arg__1)

  Enables kerning for this font if `enable` is true; otherwise disables it. By default, kerning is enabled.

  When kerning is enabled, glyph metrics do not add up anymore, even for Latin text. In other words, the assumption that width('a') + width('b') is equal to width("ab") is not neccesairly true.

See also:
  `kerning()`, and `QFontMetrics`.

### setLetterSpacing

    public final void setLetterSpacing(QFont.SpacingType type,
                                       double spacing)

  Sets the letter spacing for the font to `spacing` and the type of spacing to `type`.

  Letter spacing changes the default spacing between individual letters in the font. The spacing between the letters can be made smaller as well as larger.

See also:
  `letterSpacing()`, `letterSpacingType()`, and `setWordSpacing()`.

### setOverline

    public final void setOverline(boolean arg__1)

  If `enable` is true, sets overline on; otherwise sets overline off.

See also:
  `overline()`, and `QFontInfo`.

### setPixelSize

    public final void setPixelSize(int arg__1)

  Sets the font size to `pixelSize` pixels.

  Using this function makes the font device dependent. Use `setPointSize()` or `setPointSizeF()` to set the size of the font in a device independent manner.

See also:
  `pixelSize()`.

### setPointSize

    public final void setPointSize(int arg__1)

  Sets the point size to `pointSize`. The point size must be greater than zero.

See also:
  `pointSize()`, and `setPointSizeF()`.

### setPointSizeF

    public final void setPointSizeF(double arg__1)

  Sets the point size to `pointSize`. The point size must be greater than zero. The requested precision may not be achieved on all platforms.

See also:
  `pointSizeF()`, `setPointSize()`, and `setPixelSize()`.

### setRawMode

    public final void setRawMode(boolean arg__1)

  If `enable` is true, turns raw mode on; otherwise turns raw mode off. This function only has an effect under X11.

  If raw mode is enabled, Qt will search for an X font with a complete font name matching the family name, ignoring all other values set for the `QFont`. If the font name matches several fonts, Qt will use the first font returned by X. `QFontInfo`cannot be used to fetch information about a `QFont` using raw mode (it will return the values set in the `QFont` for all parameters, including the family name).

  Warning: Do not use raw mode unless you really, really need it! In most (if not all) cases, `setRawName()` is a much better choice.

See also:
  `rawMode()`, and `setRawName()`.

### setRawName

    public final void setRawName(java.lang.String arg__1)

  Sets a font by its system specific name. The function is particularly useful under X, where system font settings (for example X resources) are usually available in XLFD (X Logical Font Description) form only. You can pass an XLFD as `name` to this function.

  A font set with `setRawName()` is still a full-featured `QFont`. It can be queried (for example with `italic()`) or modified (for example with `setItalic()`) and is therefore also suitable for rendering rich text.

  If Qt's internal font database cannot resolve the raw name, the font becomes a raw font with `name` as its family.

  Note that the present implementation does not handle wildcards in XLFDs well, and that font aliases (file `fonts.alias` in the font directory on X11) are not supported.

See also:
  `rawName()`, `setRawMode()`, and `setFamily()`.

### setStretch

    public final void setStretch(int arg__1)

  Sets the stretch factor for the font.

  The stretch factor changes the width of all characters in the font by `factor` percent. For example, setting `factor` to 150 results in all characters in the font being 1.5 times (ie. 150%) wider. The default stretch factor is 100. The minimum stretch factor is 1, and the maximum stretch factor is 4000.

  The stretch factor is only applied to outline fonts. The stretch factor is ignored for bitmap fonts.

  NOTE: `QFont` cannot stretch XLFD fonts. When loading XLFD fonts on X11, the stretch factor is matched against a predefined set of values for the SETWIDTH_NAME field of the XLFD.

See also:
  `stretch()`, and `QFont::Stretch` .

### setStrikeOut

    public final void setStrikeOut(boolean arg__1)

  If `enable` is true, sets strikeout on; otherwise sets strikeout off.

See also:
  `strikeOut()`, and `QFontInfo`.

### setStyle

    public final void setStyle(QFont.Style style)

  Sets the style of the font to `style`.

See also:
  `style()`, `italic()`, and `QFontInfo`.

### setStyleHint

    public final void setStyleHint(QFont.StyleHint arg__1)

  Sets the style hint and strategy to `hint` and `strategy`, respectively.

  If these aren't set explicitly the style hint will default to `AnyStyle` and the style strategy to `PreferDefault`.

  Qt does not support style hints on X11 since this information is not provided by the window system.

See also:
  `StyleHint` , `styleHint()`, `StyleStrategy` , `styleStrategy()`, and `QFontInfo`.

### setStyleHint

    public final void setStyleHint(QFont.StyleHint arg__1,
                                   QFont.StyleStrategy arg__2)

  Sets the style hint and strategy to `hint` and `strategy`, respectively.

  If these aren't set explicitly the style hint will default to `AnyStyle` and the style strategy to `PreferDefault`.

  Qt does not support style hints on X11 since this information is not provided by the window system.

See also:
  `StyleHint` , `styleHint()`, `StyleStrategy` , `styleStrategy()`, and `QFontInfo`.

### setStyleStrategy

    public final void setStyleStrategy(QFont.StyleStrategy s)

  Sets the style strategy for the font to `s`.

See also:
  `styleStrategy()`, and `QFont::StyleStrategy` .

### setUnderline

    public final void setUnderline(boolean arg__1)

  If `enable` is true, sets underline on; otherwise sets underline off.

See also:
  `underline()`, and `QFontInfo`.

### setWeight

    public final void setWeight(int arg__1)

  Sets the weight the font to `weight`, which should be a value from the `QFont::Weight` enumeration.

See also:
  `weight()`, and `QFontInfo`.

### setWordSpacing

    public final void setWordSpacing(double spacing)

  Sets the word spacing for the font to `spacing`.

  Word spacing changes the default spacing between individual words. A positive value increases the word spacing by a corresponding amount of pixels, while a negative value decreases the inter-word spacing accordingly.

  Word spacing will not apply to writing systems, where indiviaul words are not separated by white space.

See also:
  `wordSpacing()`, and `setLetterSpacing()`.

### stretch

    public final int stretch()

  Returns the stretch factor for the font.

See also:
  `setStretch()`.

### strikeOut

    public final boolean strikeOut()

  Returns true if strikeout has been set; otherwise returns false.

See also:
  `setStrikeOut()`.

### style

    public final QFont.Style style()

  Returns the style of the font.

See also:
  `setStyle()`.

### styleHint

    public final QFont.StyleHint styleHint()

  Returns the `StyleHint` .

  The style hint affects the `font matching` algorithm. See `QFont::StyleHint` for the list of available hints.

See also:
  `setStyleHint()`, `QFont::StyleStrategy` , and `QFontInfo::styleHint()`.

### styleStrategy

    public final QFont.StyleStrategy styleStrategy()

  Returns the `StyleStrategy` .

  The style strategy affects the `font matching` algorithm. See `QFont::StyleStrategy` for the list of available strategies.

See also:
  `setStyleStrategy()`, `setStyleHint()`, and `QFont::StyleHint` .

### toString

    public final java.lang.String toString()

  Returns a string representation of the `this QFont`.

  Overrides:
    `toString` in class `java.lang.Object`

### underline

    public final boolean underline()

  Returns true if underline has been set; otherwise returns false.

See also:
  `setUnderline()`.

### weight

    public final int weight()

  Returns the weight of the font which is one of the enumerated values from `QFont::Weight` .

See also:
  `setWeight()`, `Weight` , and `QFontInfo`.

### wordSpacing

    public final double wordSpacing()

  Returns the word spacing for the font.

See also:
  `setWordSpacing()`, and `setLetterSpacing()`.

### insertSubstitution

    public static void insertSubstitution(java.lang.String arg__1,
                                          java.lang.String arg__2)

  Inserts `substituteName` into the substitution table for the family `familyName`.

See also:
  `insertSubstitutions()`, `removeSubstitution()`, `substitutions()`, `substitute()`, and `substitutes()`.

### insertSubstitutions

    public static void insertSubstitutions(java.lang.String arg__1,
                                           java.util.List arg__2)

  Inserts the list of families `substituteNames` into the substitution list for `familyName`.

See also:
  `insertSubstitution()`, `removeSubstitution()`, `substitutions()`, and `substitute()`.

### removeSubstitution

    public static void removeSubstitution(java.lang.String arg__1)

  Removes all the substitutions for `familyName`.

See also:
  `insertSubstitutions()`, `insertSubstitution()`, `substitutions()`, and `substitute()`.

### substitute

    public static java.lang.String substitute(java.lang.String arg__1)

  Returns the first family name to be used whenever `familyName` is specified. The lookup is case insensitive.

  If there is no substitution for `familyName`, `familyName` is returned.

  To obtain a list of substitutions use `substitutes()`.

See also:
  `setFamily()`, `insertSubstitutions()`, `insertSubstitution()`, and `removeSubstitution()`.

### substitutes

    public static java.util.List substitutes(java.lang.String arg__1)

  Returns a list of family names to be used whenever `familyName` is specified. The lookup is case insensitive.

  If there is no substitution for `familyName`, an empty list is returned.

See also:
  `substitute()`, `insertSubstitutions()`, `insertSubstitution()`, and `removeSubstitution()`.

### substitutions

    public static java.util.List substitutions()

  Returns a sorted list of substituted family names.

See also:
  `insertSubstitution()`, `removeSubstitution()`, and `substitute()`.

### clone

    public QFont clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD